document.addEventListener('deviceready', function () {
  if (typeof StatusBar !== 'undefined') {
    StatusBar.overlaysWebView(false);
    StatusBar.styleDefault();
    //StatusBar.hide();
  }
}, false);

document.addEventListener("deviceReady", onDeviceReady, false);

function onDeviceReady() {
  if (doWhenBothFrameworksLoaded) {
    doWhenBothFrameworksLoaded();
  }
  var thePlatform = navigator.platform.toLowerCase();
  if (thePlatform.indexOf("iphone") > -1 || thePlatform.indexOf("ipad") > -1 || thePlatform.indexOf("iphone simulator") > -1 || thePlatform.indexOf("ipad simulator") > -1) {
    thePlatform = "ios";
  }

  document.body.className += ' ' + thePlatform;
  FastClick.attach(document.body);

}

function handleOpenURL(url) {
    var prefix = url.substring(0, url.indexOf("//")+2);

    Constants.handleOpenUrl = url.replace(prefix, "");
    var user = localStorage.getItem("userInfo");

    if(user.length != 0) {
        window.location.href = Constants.handleOpenUrl.length == 0 ? "homepage.html" : Constants.handleOpenUrl;
    }
}

if (!window.device) {
  onDeviceReady();
}
