_.namespace('marketstar');

/**
 * Constructor
 *
 * @class LiaisonView
 * @constructor
 * @extends marketstar.DataView
 * @uses Constants
 * @uses AjaxMixins
 * @uses UtilsMixins
 * @uses PageMixins
 */
marketstar.LiaisonView = function(el, data) {
    $.extend(marketstar.LiaisonView.prototype, Constants);
    $.extend(marketstar.LiaisonView.prototype, AjaxMixins);
    $.extend(marketstar.LiaisonView.prototype, UtilMixins);
    $.extend(marketstar.LiaisonView.prototype, PageMixins);
    this.construct(el, data);
};

marketstar.LiaisonView.prototype = Object.create(marketstar.DataView.prototype);

/**
 * Post render() callback.  Contract requirement from DataView.
 * Put anything here that is dependent on the existence of elements in the DOM
 *
 * @method postRender
 */
marketstar.LiaisonView.prototype.postRender = function() {
    if(!this.model.data) {
        $('.no-rep-info').show();
    }
    else {
        $('.no-rep-info').hide();
    }
};