_.namespace('marketstar');

/**
 * Constructor
 *
 * @class ProductPhotoView
 * @constructor
 * @extends marketstar.DataView
 * @uses Constants
 * @uses AjaxMixins
 * @uses UtilsMixins
 * @uses PageMixins
 */
marketstar.ProductPhotoView = function(el, data) {
    $.extend(marketstar.ProductPhotoView.prototype, Constants);
    $.extend(marketstar.ProductPhotoView.prototype, AjaxMixins);
    $.extend(marketstar.ProductPhotoView.prototype, UtilMixins);
    $.extend(marketstar.ProductPhotoView.prototype, PageMixins);
    this.construct(el, data);
};

marketstar.ProductPhotoView.prototype = Object.create(marketstar.DataView.prototype);

/**
 * Sudo init()
 *
 * @method init
 */
marketstar.ProductPhotoView.prototype.init = function() {

};

/**
 * Render the page
 *
 * @method templatesReady
 */
marketstar.ProductPhotoView.prototype.templatesReady = function() {

}

/**
 * Post render() callback.  Contract requirement from DataView.
 * Put anything here that is dependent on the existence of elements in the DOM
 *
 * @method postRender
 */
marketstar.ProductPhotoView.prototype.postRender = function() {

};