_.namespace('marketstar');

/**
 * Constructor
 *
 * @class contentReply
 * @constructor
 * @extends marketstar.DataView
 * @uses Constants
 * @uses AjaxMixins
 * @uses UtilsMixins
 * @uses PageMixins
 */
marketstar.ContentReply = function(el, data) {
    $.extend(marketstar.ContentReply.prototype, Constants);
    $.extend(marketstar.ContentReply.prototype, AjaxMixins);
    $.extend(marketstar.ContentReply.prototype, UtilMixins);
    $.extend(marketstar.ContentReply.prototype, PageMixins);
    $.extend(marketstar.ContentReply.prototype, ContentMixins);
    this.construct(el, data);

};

marketstar.ContentReply.prototype = Object.create(marketstar.DataView.prototype);

marketstar.ContentReply.prototype.init = function() {
    this.localStorage = new marketstar.LocalStorageObserverProxy();
    this.loadIntoModelFromLocalStorage(this.userDataKey);
};

marketstar.ContentReply.prototype.templatesReady = function() {

};

marketstar.ContentReply.prototype.postRender = function() {
    this.registerReplyClicks();
};