﻿_.namespace('marketstar');

marketstar.UserReferralAdd = function (el, data) {
	$.extend(marketstar.UserReferralAdd.prototype, Constants);
	$.extend(marketstar.UserReferralAdd.prototype, UtilMixins);
	$.extend(marketstar.UserReferralAdd.prototype, AjaxMixins);
	$.extend(marketstar.UserReferralAdd.prototype, PageMixins);
	this.construct(el, data);
};

marketstar.UserReferralAdd.prototype = Object.create(marketstar.ViewController.prototype);

marketstar.UserReferralAdd.prototype.init = function () {
	this.localStorage = new marketstar.LocalStorageObserverProxy();

	this.model.set(
        'templatePaths'
        , {
        	navigation: '_navigation.html'
            , userBar: '_userBar.html'
            , socialLinks: '_socialLinks.html'
            , appVersion: '_appVersion.html'
            , product: '_product.html'
        }
    );

	this.loadIntoModelFromLocalStorage(
         this.userDataKey
        , $.proxy(this.loadTemplates, this)
        , $.proxy(this.redirectToIndex, this)
    );
};

marketstar.UserReferralAdd.prototype.onTemplatesReady = function () {
	// Do absolutely nothing. Sudo and this templating design can just take the rest of the day off.
};